germinate's recursion limit is too low for utopic

Bug #1312478 reported by Adam Conrad on 2014-04-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
germinate (Ubuntu)
High
Colin Watson
Precise
High
Colin Watson
Trusty
High
Colin Watson

Bug Description

On the production ftpmaster, germinate has started spewing error like so:

  File "/usr/lib/python2.7/dist-packages/germinate/germinator.py", line 1286, in _new_dependency
    second_class, build_tree, recommends)
  File "/usr/lib/python2.7/dist-packages/germinate/germinator.py", line 1166, in _add_dependency
    build_tree, second_class, recommends)
  File "/usr/lib/python2.7/dist-packages/germinate/germinator.py", line 1412, in _add_package
    build_tree=build_tree)
  File "/usr/lib/python2.7/dist-packages/germinate/germinator.py", line 1328, in _add_dependency_tree
    recommends):
RuntimeError: maximum recursion depth exceeded

Plzfx.

Adam Conrad (adconrad) on 2014-04-24
Changed in germinate (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Changed in germinate (Ubuntu Precise):
assignee: nobody → Colin Watson (cjwatson)
Changed in germinate (Ubuntu Trusty):
assignee: nobody → Colin Watson (cjwatson)
Colin Watson (cjwatson) on 2014-04-25
Changed in germinate (Ubuntu):
status: New → Fix Committed
Changed in germinate (Ubuntu Precise):
status: New → Triaged
Changed in germinate (Ubuntu):
importance: Undecided → High
Changed in germinate (Ubuntu Precise):
importance: Undecided → High
Changed in germinate (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → High
Changed in germinate (Ubuntu Precise):
milestone: none → ubuntu-12.04.5
Changed in germinate (Ubuntu Trusty):
milestone: none → ubuntu-14.04.1
Colin Watson (cjwatson) on 2014-04-25
Changed in germinate (Ubuntu Precise):
status: Triaged → In Progress
Changed in germinate (Ubuntu Trusty):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package germinate - 2.17

---------------
germinate (2.17) unstable; urgency=medium

  * Bump recursion limit to 3000; apparently utopic trips over the existing
    limit (LP: #1312478).

 -- Colin Watson <email address hidden> Fri, 25 Apr 2014 00:54:11 +0100

Changed in germinate (Ubuntu):
status: Fix Committed → Fix Released

Hello Adam, or anyone else affected,

Accepted germinate into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/germinate/2.16.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in germinate (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in germinate (Ubuntu Precise):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted germinate into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/germinate/2.8.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Colin Watson (cjwatson) wrote :

Unfortunately (from the point of view of this bug) something has changed in utopic such that I can no longer reproduce this bug. However, the updated versions still work fine in both precise and trusty (tested with "germinate -s ubuntu.utopic -d utopic --no-rdepends") and the cowboy is working fine on production, so I think that's good enough.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package germinate - 2.8.1

---------------
germinate (2.8.1) precise; urgency=medium

  * Bump recursion limit to 3000; apparently utopic trips over the existing
    limit (LP: #1312478).
 -- Colin Watson <email address hidden> Fri, 25 Apr 2014 10:28:09 +0100

Changed in germinate (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for germinate has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package germinate - 2.16.1

---------------
germinate (2.16.1) trusty; urgency=medium

  * Bump recursion limit to 3000; apparently utopic trips over the existing
    limit (LP: #1312478).
 -- Colin Watson <email address hidden> Fri, 25 Apr 2014 10:30:22 +0100

Changed in germinate (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers